unclutter (8-25+nmu1) unstable; urgency=medium

  * Fix implicit ints in function declarations.
    Closes: #1075602.  [Report from Matthias Klose]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Aug 2024 20:12:12 +0100

unclutter (8-25) unstable; urgency=low

  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Wed, 30 Oct 2019 00:47:57 +0100

unclutter (8-24) experimental; urgency=low

  * Add missing bug report number in previous changelog entry.
  * Change override_dh_installman to override_dh_installman-arch so that
    the man page doesn't get installed anywhere upon pure architecture=all
    builds. (Closes: #942787)

 -- Axel Beckert <abe@debian.org>  Tue, 22 Oct 2019 02:52:56 +0200

unclutter (8-23) experimental; urgency=low

  * Move debian/unclutter.{config,template} to unclutter-startup, too.
    + Update debian/po/{POTFILES.in,templates.pot} accordingly.
    + Closes: #942481
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 17 Oct 2019 03:12:53 +0200

unclutter (8-22) experimental; urgency=low

  [ Sean Whitton ]
  * Rename /usr/bin/unclutter to /usr/bin/unclutter-classic.
    - Add dh-exec build-dep.
  * Also install unclutter.man as unclutter-classic.man.
  * Call update-alternatives in prerm and postinst to register
    /usr/bin/unclutter-classic as an alternative for /usr/bin/unclutter,
    with the manpage as a slave link (Closes: #913639).

  [ Axel Beckert ]
  * Drop harmful and so far undocumented debian/source/options (introduced
    in 8-15). Thanks Lintian!
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Introduce a new package called unclutter-startup which contains
    /etc/X11/Xsession.d/90unclutter, generates /etc/default/unclutter and
    will be used by both, unclutter and unclutter-xfixes.
    + Split override_dh_installchangelogs into -arch and -indep to avoid
      installing upstream changelog into unclutter-startup.
    + Split up postinst between the two packages and rename/move other
      maintainer scripts as necessary.
    + Add a note about the differences between unclutter and
      unclutter-xfixes to the package description.
    + Add Breaks and Replaces header for moving files from unclutter to
      unclutter-startup.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 18 Sep 2019 02:20:08 +0200

unclutter (8-21) unstable; urgency=medium

  * Update Vcs-* headers for the switch to salsa.debian.org.
  * Switch all remaining URLs in debian/copyright to HTTPS.
  * Set "Rules-Requires-Root: no".
  * Enable all hardening build flags.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Bump packaging copyright years in debian/copyright.
  * Declare compliance with Debian Policy 4.1.3. (No further changes.)

 -- Axel Beckert <abe@debian.org>  Tue, 02 Jan 2018 07:41:13 +0100

unclutter (8-20) unstable; urgency=low

  * Add Italian debconf translation by Beatrice Torracca (Closes: #714010)
  * Apply wrap-and-sort.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Make DEP5-ish debian/copyright DEP5-compliant.
  * Let Homepage header in debian/control and Source header in
    debian/copyright point to a 2015-dated snapshot of ftp.x.org as I
    can't find unclutter anymore since they restructured their directory
    layout and cluttered the tar balls over tons of directories.
  * Switch Vcs-Browser header to HTTPS and cgit.
  * Add Brazilian Portuguese debconf translation by Adriano Rafael Gomes
    (Closes: #811521)
  * 03-fix-gtk-blinking.patch: Make DEP3-ish patch header DEP3-compliant.

 -- Axel Beckert <abe@debian.org>  Tue, 19 Jan 2016 20:40:04 +0100

unclutter (8-19) unstable; urgency=low

  * Add patch by Tao Nelson to fix blinking pointer and 100% CPU usage
    with GTK applications. (Closes: #266118) Thanks Tao!
  * Bump debhelper compatibility to 9 to ease hardening build flags
    + Update versioned debhelper build-dependency to >= 9~.
  * Add patch to properly pass $LDFLAGS (fixes lintian warning
    hardening-no-relro) and $CFLAGS (fixes blhc warning)
  * Add patch to fix lintian warning hyphen-used-as-minus-sign.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix grammar in README.source.

 -- Axel Beckert <abe@debian.org>  Thu, 02 May 2013 02:15:08 +0200

unclutter (8-18) unstable; urgency=low

  * Add a README.source explaining why Debian doesn't use
    http://sf.net/projects/unclutter/ as upstream project.
  * Add Ian Jackson to Uploaders.
  * Add Homepage field pointing to ftp://ftp.x.org/contrib/utilities/
    (despite it's not a real homepage, but packages.debian.org and
    packages.qa.debian.org then link to it which is good.)

 -- Axel Beckert <abe@debian.org>  Fri, 23 Sep 2011 03:33:55 +0200

unclutter (8-17) unstable; urgency=low

  * Adopting the package (Closes: #640954)
  * Readding upstream download URL to debian/copyright
  * Readding Vcs-* headers
  * Added watch file
  * Update short description
  * debian/source/local-options: abort-on-upstream-changes and
    unapply-patches

 -- Axel Beckert <abe@debian.org>  Fri, 09 Sep 2011 00:11:08 +0200

unclutter (8-16) unstable; urgency=low

  * Updating to standards version 3.9.2.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Sep 2011 08:26:42 +0000

unclutter (8-15) experimental; urgency=low

  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Removing unnecessary guarding when sourcing debconfs confmodule.

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Dec 2010 21:31:09 +0100

unclutter (8-14) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Adding Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #599449).
  * Running debconf-updatepo.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 07 Oct 2010 18:55:02 +0200

unclutter (8-13) unstable; urgency=low

  * Adding README.source.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Sorting dh call in rules to more common order.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Mar 2010 08:37:45 +0100

unclutter (8-12) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Not calling debconf-updatepo in clean target of rules anymore.
  * Adding maintainer homepage in copyright.
  * Using quilt to manage upstream changes.
  * Correcting wrong vcs-browser field.
  * Adding explicit debian source version 1.0 until switch to 3.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Dec 2009 22:23:23 +0100

unclutter (8-11) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Updating year in copyright file.
  * Removing manual addition of debconf in depends.
  * Using more common directory name for storing local debian addisions.
  * Adding Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #541750).
  * Updating package to standards version 3.8.3.
  * Sorting depends.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 22 Aug 2009 14:12:22 +0200

unclutter (8-10) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Updating package to standards 3.8.1.
  * Updating copyright for debian files.

 -- Daniel Baumann <daniel@debian.org>  Sun, 12 Apr 2009 10:13:00 +0200

unclutter (8-9) unstable; urgency=medium

  * Updating vcs fields in control file.
  * Adding Spanish debconf translations from Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #499822).

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Sep 2008 07:25:00 +0200

unclutter (8-8) unstable; urgency=low

  * Correcting typo in header of ja.po, thanks to Christian Perrier
    <bubulle@debian.org> (Closes: #490928).

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Jul 2008 14:12:00 +0200

unclutter (8-7) unstable; urgency=low

  * New maintainer (Closes: #489451).
  * Upgrading package to standards 3.8.0.
  * Updating vcs fields in control file.
  * Rewriting copyright file in machine-interpretable format.
  * Reverting rules to long format since I prefere this.
  * Using dedicated debhelper files rather than arguments to dh_* calls,
    I do prefere this as well.
  * Adding default and Xsession files, using debconf to populate it
    (Closes: #483055).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Jul 2008 07:57:00 +0200

unclutter (8-6) unstable; urgency=low

  * debhelper v7, rules file minimisation
  * Orphaned the package (again).

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Jul 2008 17:33:13 -0400

unclutter (8-5) unstable; urgency=low

  * Document -visible in man page. Thanks, Marc-Jano Knopp. Closes: #384365
  * Fixed a couple typos in help text.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Aug 2006 16:41:35 -0400

unclutter (8-4) unstable; urgency=low

  * Patch from Jonas Koelker to support subsecond idle times. Closes: #369891
  * debhelper v5
  * Current standards version.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jun 2006 16:51:08 -0400

unclutter (8-3) unstable; urgency=low

  * Remove the menu file, I think the changes that anyone will want to
    start/stop unclutter from the menu is slim and its use of killall was
    evil.
  * Current standards version.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:24:23 -0500

unclutter (8-2) unstable; urgency=low

  * Rebuild to use new split X library packages, update build depends.
    Closes: #287675
  * Menu file updates (qouting).

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Dec 2004 15:51:24 -0500

unclutter (8-1) unstable; urgency=low

  * Taking this package over again.
  * Update to current policy. Closes: #197714
  * Changed version number to 8, since the original tarball is named
    unclutter-8.tar.Z.
  * Downloaded original tarball, and included it as pristine upstream source,
    except I had to uncompress it (.Z) and gzip it back up. Still, more
    pristine than before.
  * Include patchlevel.h as the upstream changelog, such as it is.
  * Expanded copyright file with download location and actual non-copyright
    statement.
  * Rewrote and simplified the package description.
  * Update to debhelper v4.
  * Moved out of the X directories since the Imakefile is not actually used.
  * Patched it to not spin when a full-screen program (such as a SDL game
    or xlock) is running and the XGrabPointer fails. Closes: #197684
  * Applied patch from Stelios Bounanos that adds a -notclass switch, useful
    for apps like galeon that frequently change the window title.
    Closes: #149720
  * Also a patch to add regex support in the -not matching.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Jun 2003 10:54:44 -0400

unclutter (0.8-22) unstable; urgency=low

  * Updated build-deps to use new xlibs-dev (Closes: #99691)
  * Removed dh_suidregister call from debian/rules

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sun, 03 Jun 2001 21:19:58 +1000

unclutter (0.8-21) unstable; urgency=low

  * Change of maintainer

 -- Bradley Marshall <bmarshal@pisoftware.com>  Tue, 22 Aug 2000 19:37:33 +1000

unclutter (0.8-20) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat, 04 Dec 1999 16:42:27 -0800

unclutter (0.8-19) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon, 06 Sep 1999 16:56:50 -0700

unclutter (0.8-18) unstable; urgency=low

  * Fix minior lintian errors.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Mar 1998 20:05:24 -0800

unclutter (0.8-17) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Feb 1998 15:09:57 -0800

unclutter (0.8-16) unstable; urgency=low

  * Use debhelper.

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Feb 1998 20:03:20 -0800

unclutter (0.8-15) unstable; urgency=low

  * libc6.
  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Sep 1997 19:31:27 -0400

unclutter (0.8-14) unstable; urgency=low

  * Use debstd.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Apr 1997 13:46:51 -0400

unclutter (0.8-13) frozen unstable; urgency=low

  * New maintainer.
  * Changed dependancy on elf-x11r6lib to xlib6.
  * Added a menu file.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Apr 1997 13:20:26 -0400

unclutter (0.8-12) unstable; urgency=low

  * Converted to new source format.
  * New maintainer.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 26 Sep 1996 21:23:33 +0300
